import request from "request";

export async function getJSON(uri: string): Promise<Object> {
	return new Promise(function (resolve, reject) {
		let data = "";
		const reply = request({
			uri,
			headers: {
				"User-Agent": "Poznanski Parkingowy Patrol - telegram bot",
			},
		});
		reply.on("data", (chunk) => {
			data += chunk;
		});
		reply.on("error", reject);
		reply.on("end", () => resolve(JSON.parse(data)));
	});
}
